#
# spec file for package csvprintf
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           csvprintf
Version:        1.3.2
Release:        1.7
Summary:        Simple CSV file parser for the UNIX command line
License:        Apache-2.0
Group:          Productivity/File utilities
URL:            https://github.com/archiecobbs/csvprintf
Source:         %{name}/%{name}-%{version}.tar.gz
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  xsltproc
Requires:       xsltproc

%description
%{name} is a simple UNIX command line utility for parsing CSV files.

%{name} works like the printf(1) command line utility: you supply a
printf(1) format string on the command line, and each row of the CSV file
is split into arguments and formatted accordingly. The format specifiers
in the format string contain numeric or symbolic column accessors to
specify which CSV column to format.

%{name} can also convert CSV files into XML and JSON documents
and Bash variable assignments suitable for eval(1).

%prep
%autosetup -p1

%build
./autogen.sh
%configure
%make_build

%check
%make_build tests

%install
%make_install

%files
%attr(0755,root,root) %{_bindir}/%{name}
%attr(0755,root,root) %{_bindir}/xml2csv
%attr(0644,root,root) %{_mandir}/man1/*
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}
%{_datadir}/%{name}

%changelog
* Wed Jan 25 2023 Archie Cobbs <archie.cobbs@gmail.com>
- Update to release 1.3.2
  - Fixed bug where we could emit empty XML tag names
  - Fixed bug in man page examples for "-b" flag
* Tue Dec 14 2021 Archie Cobbs <archie.cobbs@gmail.com>
- Update to release 1.3.1
  + Added "-c" flag for explicit column names
  + Added "-n" flag that only reads column names
  + Added "-p" flag for prefixing names
  + Omit special variable names in Bash mode
  + Fixed build error on systems without 'u_char' defined
* Thu Dec  9 2021 Archie Cobbs <archie.cobbs@gmail.com>
- Update to release 1.3.0
  + Added "-b" flag for new Bash output mode
* Wed Nov 24 2021 Archie Cobbs <archie.cobbs@gmail.com>
- Update to release 1.2.1
  + Fixed bug where "-x" flag was behaving like "-X" flag
* Mon Nov 22 2021 Archie Cobbs <archie.cobbs@gmail.com>
- Update to release 1.2.0
  + Added "-j" flag for JSON text sequence document output.
  + Stopped escaping double quote as "&quot;" in plain XML text.
* Mon Nov 22 2021 Archie Cobbs <archie.cobbs@gmail.com>
- Replace source tarball with _service file pulling from github
* Wed Oct 27 2021 Archie Cobbs <archie.cobbs@gmail.com>
- Run spec-cleaner on spec file
* Thu Feb 25 2021 Archie Cobbs <archie.cobbs@gmail.com>
- Update to release 1.1.0
  - Added support for format strings containing column names
* Thu Oct 17 2019 Richard Brown <rbrown@suse.com>
- Remove obsolete Groups tag (fate#326485)
* Wed Aug  1 2018 archie.cobbs@gmail.com
- Update to release 1.0.4
  - Fixed "unexpected character" bug when line ends with QUOTE, CR
  - Added "-X" flag to derive XML tag names from column headers
* Sat Jan  5 2013 archie@dellroad.org
- Update to release 1.0.3
* Fri Nov 30 2012 archie@dellroad.org
- Tweak spec file to fix Madriva builds
* Thu Nov 29 2012 archie@dellroad.org
- Tweaks to spec file requested by mrdocs in response to SR #143350.
* Sat Aug 25 2012 archie@dellroad.org
- Update to release 1.0.2
* Fri Mar  9 2012 archie@dellroad.org
- Update to release 1.0.1
* Tue Nov 30 2010 archie@dellroad.org
- Initial release
